// Проект 4: Часы

#include <Wire.h
#include <LiquidCrystal_I2C.h>
#include <ds1302.h> 

LiquidCrystal_I2C lcd(0x3f, 16, 2);  
DS1302 rtc(3, 1, 0);
 
void setup()
 {
  rtc.halt(false);
  rtc.writeProtect(false);
  lcd.begin();   
  lcd.backlight();

  rtc.setDOW(THURSDAY); // День недели, только латиницей. Нужно ввести вместо THURSDAY (четверг) текущий день недели.
  rtc.setTime(14, 50, 00); // Часы, минуты, секунды 24-часовой формат.
  rtc.setDate(13, 05, 2020); // Дата текущая, цифровой формат – ДД, ММ, ГГГГ
 }

void loop()
 {
  lcd.setCursor(6, 0); 
  lcd.print(rtc.getTimeStr());
  lcd.setCursor(0, 1); 
  lcd.print(rtc.getDOWStr(FORMAT_LONG)); 
  lcd.setCursor(9, 1); 
  lcd.print(rtc.getDateStr()); 
  delay (1000); 
 }
